aboutsummaryrefslogtreecommitdiffstats
path: root/README.md
diff options
context:
space:
mode:
authorAndrei Gherzan <andrei.gherzan@windriver.com>2012-10-30 17:20:26 +0200
committerFlorin Sarbu <florin.sarbu@windriver.com>2012-10-30 17:25:24 +0200
commitfdc0f18da0e70b9a1a122e149709d31e0f52c52d (patch)
tree08dceb759446587c63feb3ed18546100bfd706d2 /README.md
parent498023603cbbce3d1bc7fae8bcbda79464b4c2ac (diff)
downloadmeta-ivi-fdc0f18da0e70b9a1a122e149709d31e0f52c52d.tar.gz
meta-ivi-fdc0f18da0e70b9a1a122e149709d31e0f52c52d.tar.bz2
meta-ivi-fdc0f18da0e70b9a1a122e149709d31e0f52c52d.zip
README.md: Add dependency to meta-gnome and modify BBMASK to avoid error
We need meta-gnome because libical was moved from poky to meta-gnome. From this layer, recipes-gnome was BBMASK'ed to avoid an error on GPLv3 packages. As well, revisions updated for dependencies. Signed-off-by: Andrei Gherzan <andrei.gherzan@windriver.com>
Diffstat (limited to 'README.md')
-rw-r--r--README.md9
1 files changed, 6 insertions, 3 deletions
diff --git a/README.md b/README.md
index 39d62e3..2c713fb 100644
--- a/README.md
+++ b/README.md
@@ -13,12 +13,15 @@ Layer dependencies
URI: git://git.yoctoproject.org/poky
branch: master
-revision: d93898b2c530681362e42d1b0477fa593a625046
+revision: 93c04c16e45a3c8f60f8ffc0b26a78c24bda71da
URI: git://git.openembedded.org/meta-openembedded
branch: master
-revision: 20506c8cb4369a219ecfa892065917b930b910a5
+revision: 5056a7bf473c1e121eefa869f6a61ac4580604c9
+URI: git://git.openembedded.org/meta-gnome
+branch: master
+revision: 5056a7bf473c1e121eefa869f6a61ac4580604c9
Using the above git sha's and master meta-ivi, bitbaking excalibur-image is known to work (the excalibur-image build is Genivi 3.0 compliant).
For creating specific Genivi compliant images, please make sure you git checkout on the desired meta-ivi branch and follow the build instructions
@@ -39,7 +42,7 @@ You can build a QEMU image including GENIVI P1 components using the following st
5. Set MACHINE ??= "vexpressa9" in COREBASE/build/conf/local.conf file.
-6. Add BBMASK = "meta-systemd/meta-efl|meta-systemd/meta-gnome|meta-systemd/meta-multimedia|meta-openembedded/meta-gnome/recipes-gnome"
+6. Add BBMASK = "meta-systemd/meta-efl|meta-systemd/meta-gnome|meta-systemd/meta-multimedia|meta-systemd/meta-oe/recipes-support|meta-gnome/recipes-gnome"
in COREBASE/build/conf/local.conf file.
7. Add INCOMPATIBLE_LICENSE = "GPLv3" in COREBASE/build/conf/local.conf file.